petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectGetId

get unique object ID

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetId(PetscObject obj,PetscObjectId *id)

Not Collective

### Input Arguments

obj -object

### Output Arguments

id -integer ID

### Notes

The object ID may be different on different processes, but object IDs are never reused so local equality implies global equality.

### See Also

PetscObjectStateGet()

Level:developer
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages